#property indicator_chart_window
extern int OpenCandleDaysBack=0;
extern double Percentual_1=0.1;
extern double Percentual_2=0.25;
extern double Percentual_3=0.5;
extern double Percentual_4=0.75;
extern double Percentual_5=1;
extern string Comment1="Set Character on screens";
extern int Distancetotheleft=20;
extern string CharacterType="Arial";
extern int CharacterWidth=10;
   double OpenCandle,S0,S1,S2,S3,S4,R0,R1,R2,R3,R4;
      
  string p1,p2,p3,p4,p5;
  
int init()
  {
WindowRedraw();


   return(0);
  }
  
//-------------------------------------------------------- 
  
int deinit()
  {

ObjectDelete("Opencandle");
ObjectDelete("R0");
ObjectDelete("R1");
ObjectDelete("R2");
ObjectDelete("R3");
ObjectDelete("R4");
ObjectDelete("S0");
ObjectDelete("S1");
ObjectDelete("S2");
ObjectDelete("S3");
ObjectDelete("S4");
ObjectDelete("OpencandleLabel");
ObjectDelete("R0Label");
ObjectDelete("R1Label");
ObjectDelete("R2Label");
ObjectDelete("R3Label");
ObjectDelete("R4Label");
ObjectDelete("S0Label");
ObjectDelete("S1Label");
ObjectDelete("S2Label");
ObjectDelete("S3Label");
ObjectDelete("S4Label");

return(0);
}
//--------------------------------------------------------- 

int start(){
WindowRedraw();
p1=DoubleToStr(Percentual_1, 2);
p2=DoubleToStr(Percentual_2, 2);
p3=DoubleToStr(Percentual_3, 2);
p4=DoubleToStr(Percentual_4, 2);
p5=DoubleToStr(Percentual_5, 2);

   OpenCandle =iOpen(Symbol(),PERIOD_D1,OpenCandleDaysBack) ;
   R0 =OpenCandle+ (OpenCandle/100*Percentual_1);

   R1 = OpenCandle+ (OpenCandle/100*Percentual_2);
   R2 =OpenCandle+ (OpenCandle/100*Percentual_3);
   R3 = OpenCandle+ (OpenCandle/100*Percentual_4);
   R4 = OpenCandle+ (OpenCandle/100*Percentual_5);

   S0 = OpenCandle-(OpenCandle/100*0.1);

   S1 = OpenCandle- (OpenCandle/100*0.25);

   S2 =OpenCandle-(OpenCandle/100*0.5);

   S3 = OpenCandle- (OpenCandle/100*0.75);

   S4 = OpenCandle- (OpenCandle/100*1);
  TimeToStr(CurTime());
  if(ObjectFind("OpenCandle") != 0)
  {
  ObjectCreate("OpenCandle", OBJ_HLINE,0, CurTime(),OpenCandle);
  ObjectSet("OpenCandle", OBJPROP_COLOR,White);
  ObjectSet("OpenCandle", OBJPROP_STYLE, STYLE_DOT);
}
else
  {
   ObjectMove("OpenCandle", 0, Time[Distancetotheleft], OpenCandle);
  }
if(ObjectFind("OpenCandleLabel") != 0)
  {
   ObjectCreate("OpenCandleLabel", OBJ_TEXT, 0, Time[Distancetotheleft],OpenCandle);
   ObjectSetText("OpenCandleLabel", ("OpenCandle"), CharacterWidth, CharacterType,White);
  }
 else
  {
   ObjectMove("OpenCandleLabel", 0, Time[Distancetotheleft],OpenCandle);
  
}


//RESISTANCE
if(ObjectFind("R0") != 0)
  {
  ObjectCreate("R0", OBJ_HLINE,0, CurTime(),R0);
  ObjectSet("R0", OBJPROP_COLOR,Red);
  ObjectSet("R0", OBJPROP_STYLE, STYLE_DOT);
}
else
  {
   ObjectMove("R0", 0, Time[Distancetotheleft], R0);
  }
if(ObjectFind("R0Label") != 0)
  {
   ObjectCreate("R0Label", OBJ_TEXT, 0, Time[Distancetotheleft],R0);
   ObjectSetText("R0Label", ("R0 +"+p1+"%"), CharacterWidth, CharacterType, Red);
  }
 else
  {
   ObjectMove("R0Label", 0, Time[Distancetotheleft],R0);
  
}
if(ObjectFind("R1") != 0)
  {
  ObjectCreate("R1", OBJ_HLINE,0, CurTime(),R1);
  ObjectSet("R1", OBJPROP_COLOR,Red);
  ObjectSet("R1", OBJPROP_STYLE, STYLE_DOT);
}
else
  {
   ObjectMove("R1", 0, Time[Distancetotheleft], R1);
  }
if(ObjectFind("R1Label") != 0)
  {
   ObjectCreate("R1Label", OBJ_TEXT, 0, Time[Distancetotheleft],R1);
   ObjectSetText("R1Label", ("R1 +"+p2+"%"), CharacterWidth, CharacterType, Red);
  }
 else
  {
   ObjectMove("R1Label", 0, Time[Distancetotheleft],R1);
  
}
if(ObjectFind("R2") != 0)
  {
  ObjectCreate("R2", OBJ_HLINE,0, CurTime(),R2);
  ObjectSet("R2", OBJPROP_COLOR,Red);
  ObjectSet("R2", OBJPROP_STYLE, STYLE_DOT);
}
else
  {
   ObjectMove("R2", 0, Time[Distancetotheleft], R2);
  }
if(ObjectFind("R2Label") != 0)
  {
   ObjectCreate("R2Label", OBJ_TEXT, 0, Time[Distancetotheleft],R2);
   ObjectSetText("R2Label", ("R2 +"+p3+"%"), CharacterWidth, CharacterType, Red);
  }
 else
  {
   ObjectMove("R2Label", 0, Time[Distancetotheleft],R2);
  
}
if(ObjectFind("R3") != 0)
  {
  ObjectCreate("R3", OBJ_HLINE,0, CurTime(),R3);
  ObjectSet("R3", OBJPROP_COLOR,Red);
  ObjectSet("R3", OBJPROP_STYLE, STYLE_DOT);
}
else
  {
   ObjectMove("R3", 0, Time[Distancetotheleft], R3);
  }
if(ObjectFind("R3Label") != 0)
  {
   ObjectCreate("R3Label", OBJ_TEXT, 0, Time[Distancetotheleft],R3);
   ObjectSetText("R3Label", ("R3 +"+p4+"%"), CharacterWidth, CharacterType, Red);
  }
 else
  {
   ObjectMove("R3Label", 0, Time[Distancetotheleft],R3);
  
}
if(ObjectFind("R4") != 0)
  {
  ObjectCreate("R4", OBJ_HLINE,0, CurTime(),R4);
  ObjectSet("R4", OBJPROP_COLOR,Red);
  ObjectSet("R4", OBJPROP_STYLE, STYLE_DOT);
}
else
  {
   ObjectMove("R4", 0, Time[Distancetotheleft], R4);
  }
if(ObjectFind("R4Label") != 0)
  {
   ObjectCreate("R4Label", OBJ_TEXT, 0, Time[Distancetotheleft],R4);
   ObjectSetText("R4Label", ("R4 +"+p5+"%"), CharacterWidth, CharacterType, Red);
  }
 else
  {
   ObjectMove("R4Label", 0, Time[Distancetotheleft],R4);
  
}
//SUPPORT



if(ObjectFind("S0") != 0)
  {
  ObjectCreate("S0", OBJ_HLINE,0, CurTime(),S0);
  ObjectSet("S0", OBJPROP_COLOR,Lime);
  ObjectSet("S0", OBJPROP_STYLE, STYLE_DOT);
}
else
  {
   ObjectMove("S0", 0, Time[Distancetotheleft], S0);
  }
if(ObjectFind("S0Label") != 0)
  {
   ObjectCreate("S0Label", OBJ_TEXT, 0, Time[Distancetotheleft],S0);
   ObjectSetText("S0Label", ("S0"+" -"+p1+"%"), CharacterWidth, CharacterType, Lime);
  }
 else
  {
   ObjectMove("S0Label", 0, Time[Distancetotheleft],S0);
  
}
if(ObjectFind("S1") != 0)
  {
  ObjectCreate("S1", OBJ_HLINE,0, CurTime(),S1);
  ObjectSet("S1", OBJPROP_COLOR,Lime);
  ObjectSet("S1", OBJPROP_STYLE, STYLE_DOT);
}
else
  {
   ObjectMove("S1", 0, Time[Distancetotheleft], S1);
  }
if(ObjectFind("S1Label") != 0)
  {
   ObjectCreate("S1Label", OBJ_TEXT, 0, Time[Distancetotheleft],S1);
   ObjectSetText("S1Label", ("S1"+" -"+p2+"%"), CharacterWidth, CharacterType, Lime);
  }
 else
  {
   ObjectMove("S1Label", 0, Time[Distancetotheleft],S1);
  
}
if(ObjectFind("S2") != 0)
  {
  ObjectCreate("S2", OBJ_HLINE,0, CurTime(),S2);
  ObjectSet("S2", OBJPROP_COLOR,Lime);
  ObjectSet("S2", OBJPROP_STYLE, STYLE_DOT);
}
else
  {
   ObjectMove("S2", 0, Time[Distancetotheleft], S2);
  }
if(ObjectFind("S2Label") != 0)
  {
   ObjectCreate("S2Label", OBJ_TEXT, 0, Time[Distancetotheleft],S2);
   ObjectSetText("S2Label", ("S2"+" -"+p3+"%"), CharacterWidth, CharacterType, Lime);
  }
 else
  {
   ObjectMove("S2Label", 0, Time[Distancetotheleft],S2);
  
}
if(ObjectFind("S3") != 0)
  {
  ObjectCreate("S3", OBJ_HLINE,0, CurTime(),S3);
  ObjectSet("S3", OBJPROP_COLOR,Lime);
  ObjectSet("S3", OBJPROP_STYLE, STYLE_DOT);
}
else
  {
   ObjectMove("S3", 0, Time[Distancetotheleft], S3);
  }
if(ObjectFind("S3Label") != 0)
  {
   ObjectCreate("S3Label", OBJ_TEXT, 0, Time[Distancetotheleft],S3);
   ObjectSetText("S3Label", ("S3"+" -"+p4+"%"), CharacterWidth, CharacterType, Lime);
  }
 else
  {
   ObjectMove("S3Label", 0, Time[Distancetotheleft],S3);
  
}
if(ObjectFind("S4") != 0)
  {
  ObjectCreate("S4", OBJ_HLINE,0, CurTime(),S4);
  ObjectSet("S4", OBJPROP_COLOR,Lime);
  ObjectSet("S4", OBJPROP_STYLE, STYLE_DOT);
}
else
  {
   ObjectMove("S4", 0, Time[Distancetotheleft], S4);
  }
if(ObjectFind("S4Label") != 0)
  {
   ObjectCreate("S4Label", OBJ_TEXT, 0, Time[Distancetotheleft],S4);
   ObjectSetText("S4Label", ("S4"+" -"+p5+"%"), CharacterWidth, CharacterType, Lime);

  }
 else
  {
   ObjectMove("S4Label", 0, Time[Distancetotheleft],S4);
  }


return(0);
}